Bug 11522 - smbd can't create or open a stream name on the root directory of a share (e.g. filename of :flibble)
smbd can't create or open a stream name on the root directory of a share (e.g...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11535
  Show dependency treegraph
 
Reported: 2015-09-16 18:52 UTC by Jeremy Allison
Modified: 2015-10-12 18:53 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for master. (4.56 KB, patch)
2015-09-16 23:14 UTC, Jeremy Allison
slow: review+
Details
Updated git-am patch for master (12.74 KB, patch)
2015-09-17 23:35 UTC, Jeremy Allison
slow: review+
Details
git-am cherry-pick for 4.3.next. (13.13 KB, patch)
2015-09-18 17:34 UTC, Jeremy Allison
slow: review+
Details
git-am back-port for 4.2.next. (12.99 KB, patch)
2015-09-18 18:08 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2015-09-16 18:52:45 UTC
Set up a share with streams support. Connect to it using smbclient over SMB2+.

Type:

put <file> :flibble

response will be NT_STATUS_OBJECT_NAME_NOT_FOUND.

Against a Win2Kr12 server the stream is created successfully.

There is a missing component of our pathname handling that doesn't cope with a pure stream name. Patch to follow.
Comment 1 Jeremy Allison 2015-09-16 23:14:30 UTC
Created attachment 11444 [details]
git-am fix for master.

Contains regression test.
Comment 2 Ralph Böhme 2015-09-17 04:41:54 UTC
Comment on attachment 11444 [details]
git-am fix for master.

Can we get this into at least 4.2 and 4.3 please? Thanks!
Comment 3 Jeremy Allison 2015-09-17 23:35:08 UTC
Created attachment 11449 [details]
Updated git-am patch for master

Correctly passes all regression tests (fixes the samba3.base.dir2 bug).
Comment 4 Ralph Böhme 2015-09-18 15:58:28 UTC
Comment on attachment 11449 [details]
Updated git-am patch for master

Pushed the version you posted on from samba-technical.
Comment 5 Jeremy Allison 2015-09-18 16:08:29 UTC
Comment on attachment 11449 [details]
Updated git-am patch for master

Thanks Ralph. I think this'll work for 4.3.x, but I'll have to back-port for 4.2.next. Updated patches for these branches to follow !
Comment 6 Jeremy Allison 2015-09-18 17:34:02 UTC
Created attachment 11450 [details]
git-am cherry-pick for 4.3.next.
Comment 7 Jeremy Allison 2015-09-18 18:08:04 UTC
Created attachment 11451 [details]
git-am back-port for 4.2.next.
Comment 8 Jeremy Allison 2015-09-18 18:31:13 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 9 Karolin Seeger 2015-10-05 07:31:37 UTC
(In reply to Jeremy Allison from comment #8)
Pushed to autobuild-v4-[2|3]-test.
Comment 10 Karolin Seeger 2015-10-12 18:53:17 UTC
(In reply to Karolin Seeger from comment #9)
Pushed to both branches.
Closing out bug report.

Thanks!